Skip to main content
POST
/
v2
/
giftcards
/
gdpr
/
erasure
Erasegiftcardcustomerdata
curl --request POST \
  --url https://api.loyalty.dog/v2/giftcards/gdpr/erasure \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>",
  "customerEmail": "[email protected]",
  "reason": "<string>"
}
'
{
  "requestId": "<string>",
  "status": "<string>",
  "affectedCards": [
    "<string>"
  ],
  "message": "<string>",
  "completedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Query Parameters

programId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
customerId
string | null
customerEmail
string<email> | null
reason
string | null
Maximum string length: 1000

Response

Successful Response

requestId
string
required
status
string
required
affectedCards
string[]
required
message
string
required
completedAt
string<date-time> | null